petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecDestroy

Destroys a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDestroy(Vec *v)

Collective on Vec

### Input Parameters

| v | - the vector

### See Also

VecDuplicate(), VecDestroyVecs()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex1.c.html
src/vec/vec/tutorials/ex2.c.html
src/vec/vec/tutorials/ex3.c.html
src/vec/vec/tutorials/ex5.c.html
src/vec/vec/tutorials/ex6.c.html
src/vec/vec/tutorials/ex7.c.html
src/vec/vec/tutorials/ex8.c.html
src/vec/vec/tutorials/ex9.c.html
src/vec/vec/tutorials/ex10.c.html
src/vec/vec/tutorials/ex11.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages